Bug 128852 - database service should start earlier
Summary: database service should start earlier
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-30 15:50 UTC by Marius Andreiana
Modified: 2013-07-03 03:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 19:41:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:569 normal SHIPPED_LIVE Low: mysql security update 2004-10-20 04:00:00 UTC

Description Marius Andreiana 2004-07-30 15:50:14 UTC
Description of problem:
when using cyrus, postfix and mysql to store users, after a reboot
this setup won't work as mysql is started among the last services.

Please make the priorities like
# chkconfig: - 20 90
for both mysql and postgresql init.d scripts, as they are critical
system services and should be started before applications which use them.

Comment 1 Tom Lane 2004-10-06 22:31:42 UTC
20/90 seems awfully early; in particular I think it would be an error
to start database daemons before NFS.  People often run databases over
NFS mounts (not necessarily a good idea IMHO, but they do it).

I've adjusted the setting to 64/36 in mysql-3.23.58-12.  That is
before cyrus or any of the mail daemons launch, so that should be
enough for the problem you identified.

I'm going to relabel this as a postgresql bug so I don't forget to
make a similar change in postgresql.spec next chance I get.

Comment 2 Josh Bressers 2004-10-20 19:41:29 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-569.html



Note You need to log in before you can comment on or make changes to this bug.